> ## Documentation Index
> Fetch the complete documentation index at: https://eximpe.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Settlement

> Retrieve the details of a specific settlement by its ID.



## OpenAPI

````yaml openapi.json get /pg/settlements/{settlement_id}
openapi: 3.0.0
info:
  title: Eximpe Payment Gateway API
  description: >-
    API for payment processing and order management through Eximpe payment
    gateway
  license:
    name: Proprietary
  version: 1.0.0
servers:
  - url: https://api-staging.eximpe.com
    description: Staging server
  - url: https://api.eximpe.com
    description: Production server
security:
  - clientAuth: []
    clientSecretAuth: []
paths:
  /pg/settlements/{settlement_id}:
    get:
      tags:
        - Settlements
      summary: Get Settlement
      description: Retrieve the details of a specific settlement by its ID.
      parameters:
        - name: settlement_id
          in: path
          description: The ID of the settlement to retrieve.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The details of the settlement.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSettlementResponse'
              example:
                success: true
                message: Settlements fetched successfully
                data:
                  settlement_id: ST4353980017
                  utr_number: 092dc30a-4f19-4318-9798-ad08b48801f6
                  settlement_completed_date: '2025-06-20T08:06:59.293548Z'
                  forex_rate_cents: 8600
                  settlement_amount_cents: 100000
                  settlement_currency: USD
                  transactions:
                    - settlement_type: capture
                      transaction_id: PR3828502708
                      transaction_amount: 1000
                      merchant_service_fee: 0
                      merchant_service_tax: 0
                      merchant_net_amount: 1000
                      mop_type: UPI
                      transaction_currency: INR
                      forex_rate: 86
        '404':
          description: Settlement not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                success: false
                message: Settlement not found
                error:
                  code: ERR_SETTLEMENT_404
                  message: Settlement with ID 'ST4353980017' not found
      security:
        - clientAuth: []
          clientSecretAuth: []
components:
  schemas:
    GetSettlementResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          $ref: '#/components/schemas/Settlement'
    ErrorResponse:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          description: Indicates if the request was successful
        error:
          $ref: '#/components/schemas/ErrorDetails'
    Settlement:
      type: object
      properties:
        settlement_id:
          type: string
          description: Unique identifier for the settlement.
        utr_number:
          type: string
          description: UTR (Unique Transaction Reference) number for the settlement.
        settlement_completed_date:
          type: string
          format: date-time
          description: The timestamp of when the settlement was completed.
        forex_rate_cents:
          type: integer
          description: Forex rate in cents (e.g., 8600 represents 86.00).
        settlement_amount_cents:
          type: integer
          description: Settlement amount in cents (e.g., 100000 represents 1000.00).
        settlement_currency:
          type: string
          description: Currency code for the settlement amount.
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/SettlementTransaction'
    ErrorDetails:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Error code (e.g., ERR_ORDER_002)
        message:
          type: string
          description: Error message
        details:
          type: object
          description: Detailed validation error information with field-specific errors
          additionalProperties:
            type: string
            description: Error message for the specific field
    SettlementTransaction:
      type: object
      properties:
        settlement_type:
          type: string
          description: Type of settlement transaction (e.g., capture, refund)
        transaction_id:
          type: string
          description: Unique identifier for the transaction
        transaction_amount:
          type: number
          format: float
          description: Transaction amount
        merchant_service_fee:
          type: number
          format: float
          description: Merchant service fee
        merchant_service_tax:
          type: number
          format: float
          description: Merchant service tax
        merchant_net_amount:
          type: number
          format: float
          description: Net amount for merchant
        mop_type:
          type: string
          description: Method of payment type
          enum:
            - UPI
            - CREDIT_CARD
            - DEBIT_CARD
            - NET_BANKING
            - QR
        transaction_currency:
          type: string
          description: Currency of the transaction
        forex_rate:
          type: number
          format: float
          description: Forex rate applied to the transaction
  securitySchemes:
    clientAuth:
      type: apiKey
      name: X-Client-ID
      in: header
      description: Client app ID. You can find your app id in the merchant dashboard.
    clientSecretAuth:
      type: apiKey
      name: X-Client-Secret
      in: header
      description: Client secret key. You can find your secret in the merchant dashboard.

````